changeCloudMongoDbUserList

Prev Next

Available in VPC

Edit the DB user's information registered in a Cloud DB for MongoDB instance.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vmongodb/v2/changeCloudMongoDbUserList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for MongoDB instance whose DB user information you want to edit
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudMongoDbInstanceNo String Required Instance number of Cloud DB for MongoDB
cloudMongoDbUserList.N.userName List[String] Required List of user IDs whose DB user information you want to edit
  • See getCloudMongoDbUserList.
  • Enter 4-16 characters, including English letters, numbers, and special character "_".
  • The string must begin with an English letter.
  • Up to 10 can be entered.
  • Example: cloudMongoDbUserList.1.userName=user1&cloudMongoDbUserList.2.userName=user2
cloudMongoDbUserList.N.databaseName List[String] Required List of Cloud DB for MongoDB DB names whose DB user information you want to edit
  • See getCloudMongoDbUserList.
  • Enter 4-30 characters, including English letters, numbers, and special character "_".
  • The string must begin with an English letter.
  • Example: cloudMongoDbUserList.1.databaseName=db001&cloudMongoDbUserList.2.databaseName=db002
cloudMongoDbUserList.N.password List[String] Optional DB user account password to change
  • Enter between 8 and 20 characters containing at least one English letter, number, and special character.
  • Special characters ` " ' \ / & + and spaces can't be used.
  • Example: cloudMongoDbUserList.1.password=test123!@#&cloudMongoDbUserList.2.password=test234@#$
cloudMongoDbUserList.N.authority List[String] Optional List of DB user permissions to change
  • READ | READ_WRITE
    • READ: Data query only
    • READ_WRITE: Data entry, query, modification, and change available
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/changeCloudMongoDbUserList
?regionCode=KR
&cloudMongoDbInstanceNo=2512****
&cloudMongoDbUserList.1.userName=user000
&cloudMongoDbUserList.1.password=********
&cloudMongoDbUserList.1.databaseName=mongo002
&cloudMongoDbUserList.1.authority=READ_WRITE
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "changeCloudMongoDbUserListResponse": {
            "requestId": "22843dbd-****-****-****-295b7280c5ca",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <exportDbServerLogToObjectStorageResponse>
        <requestId>22843dbd-****-****-****-295b7280c5ca</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
    </exportDbServerLogToObjectStorageResponse>